Page MenuHomePhabricator

Replace OAuthReplaceMessage subscriber in CommonSettings.php
Closed, ResolvedPublic

Description

	$wgHooks['OAuthReplaceMessage'][] = function ( &$msgKey ) {
		if ( $msgKey === 'mwoauth-form-privacypolicy-link' ) {
			$msgKey = 'wikimedia-oauth-privacy-link';
		}
		return true;
	};

We can use WikimediaMessagesHooks::onMessageCacheGet instead...

The messages might want moving which file they're in (into wikimediaoverrides)

Event Timeline

Reedy created this task.Jun 2 2020, 11:34 PM

Change 601909 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaMessages@master] Use WikimediaMessages to override mwoauth-form-privacypolicy-link

https://gerrit.wikimedia.org/r/601909

Change 601910 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Remove OAuthReplaceMessage hook subscriber

https://gerrit.wikimedia.org/r/601910

Change 601909 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Use WikimediaMessages to override mwoauth-form-privacypolicy-link

https://gerrit.wikimedia.org/r/601909

Change 601910 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove OAuthReplaceMessage hook subscriber

https://gerrit.wikimedia.org/r/601910

Mentioned in SAL (#wikimedia-operations) [2020-06-25T13:56:26Z] <reedy@deploy1001> Synchronized wmf-config/CommonSettings.php: T254301 Remove OAuthReplaceMessage hook subscriber (duration: 01m 05s)

Reedy closed this task as Resolved.Jun 25 2020, 2:13 PM
Reedy claimed this task.